#!/bin/sh

# $FreeBSD: ports/databases/postgresql72/files/pgsql.sh.tmpl,v 1.1 2003/02/07 11:00:47 seanc Exp $
#
# For postmaster startup options, edit $PGDATA/postgresql.conf

PREFIX=/usr/local
PGBIN=${PREFIX}/bin

case $1 in
start)
    [ -d ${PREFIX}/lib ] && /sbin/ldconfig -m ${PREFIX}/lib
    touch /var/log/pgsql
    chmod 600 /var/log/pgsql
    chown pgsql:pgsql /var/log/pgsql
    [ -x ${PGBIN}/pg_ctl ] && {
	su -l pgsql -c \
	    '[ -d ${PGDATA} ] && exec /usr/local/bin/pg_ctl start -s -w -l /var/log/pgsql'
	echo -n ' pgsql'
    }
    ;;

stop)
    [ -x ${PGBIN}/pg_ctl ] && {
	su -l pgsql -c 'exec /usr/local/bin/pg_ctl stop -s -m fast'
	echo -n ' pgsql'
    }
    ;;

status)
    [ -x ${PGBIN}/pg_ctl ] && {
	exec su -l pgsql -c 'exec /usr/local/bin/pg_ctl status'
    }
    ;;

*)
    echo "usage: `basename $0` {start|stop|status}" >&2
    exit 64
    ;;
esac
